### Method

# Gck Slot open_session_async

#### Declaration [src]

    void
    gck_slot_open_session_async (
      GckSlot* self,
      GckSessionOptions options,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Open a session on the slot. If the ‘auto reuse’ setting is set, then this may be a recycled session with the same flags.

This call will return immediately and complete asynchronously.

#### Parameters

`options` | `GckSessionOptions`
| The options to open the new session with.
`cancellable` | `GCancellable`
| Optional cancellation object, or `NULL`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`callback` | `GAsyncReadyCallback`
| Called when the operation completes.
| The argument can be `NULL`.
`user_data` | `gpointer`
| Data to pass to the callback.
| The argument can be `NULL`.
| The data is owned by the caller of the function.